As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 206803 - Chatzilla and calendar window menu items shows up below the menu separator
: Chatzilla and calendar window menu items shows up below the menu separator
Status: VERIFIED FIXED
[cz-0.9.68]
: polish
Product: Other Applications
Classification: Client Software
Component: ChatZilla (show other bugs)
: Trunk
: x86 Windows XP
: -- normal with 2 votes (vote)
: mozilla1.6final
Assigned To: Scott MacGregor
: Samuel Sieb
:
Mentors:
: 207345 207957 210770 211631 227676 (view as bug list)
Depends on:
Blocks: 218324
  Show dependency treegraph
 
Reported: 2003-05-22 16:30 PDT by Sean Su
Modified: 2006-02-10 18:08 PST (History)
18 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
image of problem (23.50 KB, image/jpeg)
2003-05-22 16:33 PDT, Sean Su
no flags Details
image after fix (24.30 KB, image/jpeg)
2003-05-22 16:34 PDT, Sean Su
no flags Details
patch v1.0 (1.39 KB, patch)
2003-05-22 16:36 PDT, Sean Su
no flags Details | Diff | Splinter Review
patch (676 bytes, patch)
2003-12-06 16:22 PST, Scott MacGregor
mostafah: review+
sspitzer: superreview+
sspitzer: approval1.6+
Details | Diff | Splinter Review
Implement comment 16 (906 bytes, patch)
2005-01-10 13:41 PST, neil@parkwaycc.co.uk
bugzilla-mozilla-20000923: review+
Details | Diff | Splinter Review

Description User image Sean Su 2003-05-22 16:30:03 PDT
depending on if chatzilla and/or calendar is installed, either chatzilla and/or
calendar menu item will show up below the menu seperator.

It looks like who ever is the last menu item will be shown below the menu seperator.

images of the problems coming up.
Comment 1 User image Sean Su 2003-05-22 16:33:56 PDT
Created attachment 124010 [details]
image of problem
Comment 2 User image Sean Su 2003-05-22 16:34:07 PDT
Created attachment 124011 [details]
image after fix
Comment 3 User image Sean Su 2003-05-22 16:36:05 PDT
Created attachment 124012 [details] [diff] [review]
patch v1.0

this patch seems to fix the problem, however, this has only been verified on
win32.	I'll try applying the patch on the other platforms to make sure they
still look okay.
Comment 4 User image Chris Casciano 2003-05-28 09:52:16 PDT
updating typo in summary to make this findable... sorry for the spam
Comment 5 User image Chris Casciano 2003-05-28 09:59:39 PDT
*** Bug 207345 has been marked as a duplicate of this bug. ***
Comment 6 User image Chris Casciano 2003-05-28 10:02:30 PDT
this looks to have caused by bug 205865. (i see most of the people here are on
the bug already... just making the connection permanent... sorry for the spam)
Comment 7 User image Jo Hermans 2003-06-02 05:38:52 PDT
*** Bug 207957 has been marked as a duplicate of this bug. ***
Comment 8 User image Jo Hermans 2003-06-26 15:20:06 PDT
*** Bug 210770 has been marked as a duplicate of this bug. ***
Comment 9 User image Jo Hermans 2003-07-03 14:47:51 PDT
*** Bug 211631 has been marked as a duplicate of this bug. ***
Comment 10 User image Scott MacGregor 2003-12-06 16:08:24 PST
chatzilla seems fixed, but calendar is not.
Comment 11 User image Scott MacGregor 2003-12-06 16:08:59 PST
*** Bug 227676 has been marked as a duplicate of this bug. ***
Comment 12 User image Scott MacGregor 2003-12-06 16:09:47 PST
chatzilla seems fixed to me.
Comment 13 User image Scott MacGregor 2003-12-06 16:22:07 PST
Created attachment 136955 [details] [diff] [review]
patch
Comment 14 User image Malcolm Rowe 2003-12-09 14:48:15 PST
ChatZilla *isn't* fixed. I just installed 1.6b (Windows, custom install, no
MailNews or Spellcheck) and I get pretty much the same as attachment 124010 [details].
Comment 15 User image Kai de Leeuw 2003-12-10 12:00:44 PST
re comment 14, that depends on fact that the patch isn't checked in. ;)
Comment 16 User image James Ross 2003-12-10 12:22:04 PST
I'm pretty sure nothing's changed wrt Chatzilla, as CVS still have the same
insertafter="tasksMenuAddressBook" attribute it's always had. This is the
problem, it relies on Address Book being installed. Question is, what should it
use? Ordinal positioning is out, could we just list all the items that go above
it in bottom-to-top order?

Updating summary.
Comment 17 User image Scott MacGregor 2003-12-11 15:46:08 PST
> it relies on Address Book being installed

ah, that's why it appeared fixed to me.
Comment 18 User image (not reading, please use seth@sspitzer.org instead) 2003-12-11 15:48:00 PST
Comment on attachment 136955 [details] [diff] [review]
patch

sr/a=sspitzer for 1.6
Comment 19 User image (not reading, please use seth@sspitzer.org instead) 2003-12-11 15:49:38 PST
the calendar side is fixed.

but james brings up a good point, which still needs to be addressed.

Checking in calendarOverlay.xul;
/cvsroot/mozilla/calendar/resources/content/calendarOverlay.xul,v  <--  calendar
Overlay.xul
new revision: 1.14; previous revision: 1.13
done
Comment 20 User image Prognathous 2004-07-18 13:45:19 PDT
(In reply to comment #16)
> it relies on Address Book being installed.

Not in my case. I have the Address Book installed, yet Chatzilla is still listed
after a separator:

  Navigator
  Mail & Newsgroups
  Composer
  Address Book
  -- separator --
  IRC Chat

Prog.
Comment 21 User image James Ross 2004-07-18 14:09:24 PDT
(In reply to comment #20)
> (In reply to comment #16)
> > it relies on Address Book being installed.
> 
> Not in my case. I have the Address Book installed, yet Chatzilla is still listed
> after a separator:

See
http://lxr.mozilla.org/mozilla/source/extensions/irc/xul/content/chatzillaOverlay.xul#22
- if Calendar is still using that ID, and it's not appearing right after it, you
have a lovely XUL overlay bug on your hands. :)
Comment 22 User image James Ross 2004-07-18 14:10:16 PDT
Sorry for he spam: I meant if Address Book still has that ID.
Comment 23 User image neil@parkwaycc.co.uk 2005-01-10 13:41:38 PST
Created attachment 170849 [details] [diff] [review]
Implement comment 16

Tested on a --disable-mailnews build.
Comment 24 User image James Ross 2005-01-12 07:35:32 PST
Comment on attachment 170849 [details] [diff] [review]
Implement comment 16

>Index: chatzillaOverlay.xul
>+        insertafter="tasksMenuAddressBook,tasksMenuEditor,IMMenuItem,tasksMenuNavigator"/>

I thought there were 5 things above ChatZilla usually? Yeah, you missed out the
Mail&News item - is that missing for a reason?
Comment 25 User image James Ross 2005-01-20 17:32:10 PST
CCing Neil as I don't think he got my comment about the patch.

Neil, see comment 24.
Comment 26 User image neil@parkwaycc.co.uk 2005-01-21 01:32:08 PST
(In reply to comment #24)
>Yeah, you missed out the Mail&News item - is that missing for a reason?
The mailnews and addressbook items are not available separately.
Comment 27 User image neil@parkwaycc.co.uk 2005-01-21 03:33:14 PST
Fix checked in.
Comment 28 User image Steve Chapel 2005-03-15 19:53:11 PST
v

Note You need to log in before you can comment on or make changes to this bug.